"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _formik = require("formik");

var _size2 = _interopRequireDefault(require("lodash/size"));

var _Summary = _interopRequireDefault(require("../Summary"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var displayName = 'Form';
var defaultProps = {
  summary: true
};

var Form = function Form(props) {
  return _react.default.createElement(_formik.Formik, {
    initialValues: props.initialValues,
    onSubmit: props.onSubmit,
    render: function render(_ref) {
      var errors = _ref.errors,
          handleSubmit = _ref.handleSubmit;
      return _react.default.createElement("form", {
        noValidate: true,
        onSubmit: handleSubmit
      }, (0, _size2.default)(errors) > 0 && props.summary && _react.default.createElement(_Summary.default, {
        errors: errors
      }), props.children);
    },
    validate: props.validate,
    validateOnBlur: false,
    validateOnChange: false,
    validationSchema: props.validationSchema
  });
};

Form.displayName = displayName;
Form.defaultProps = defaultProps;
var _default = Form;
exports.default = _default;